<section class="section py-5">
  <h2 class="title is-size-3 mb-0">
    Welcome,
    {{currentUser.name}}
    👋
  </h2>
</section>

<div id="authWarning" class="px-5 py-6 is-hidden">
  <div class="notification is-danger">
    <div class="is-flex is-align-content-center">
      <span class="has-text-danger-light mr-2 is-inline-block">
        <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M10 0C4.5 0 0 4.5 0 10C0 15.5 4.5 20 10 20C15.5 20 20 15.5 20 10C20 4.5 15.5 0 10 0ZM10 15C9.4 15 9 14.6 9 14C9 13.4 9.4 13 10 13C10.6 13 11 13.4 11 14C11 14.6 10.6 15 10 15ZM11 10C11 10.6 10.6 11 10 11C9.4 11 9 10.6 9 10V6C9 5.4 9.4 5 10 5C10.6 5 11 5.4 11 6V10Z" fill="currentColor"></path>
        </svg>
      </span>
      <h3 class="is-size-5 has-text-weight-bold">
        Sorry but you are not authorized to perform that action
      </h3>
    </div>
    <button id="btnCloseAuthWarning" class="delete is-small"></button>
  </div>
</div>

<section class="section py-5">
  <div class="columns is-vcentered is-multiline">
    <div class="column is-7-tablet">
      <div class="is-flex is-align-items-center">
        <h3 class="title is-size-4 mb-0 mr-2">
          Coding Challenges
        </h3>
        {{#if myChallenges}}
          <span class="tag is-primary" style="font-size: 12px;">
            {{myChallenges.length}} In Progress
          </span>
        {{/if}}
      </div>
    </div>
    <div class="column is-flex-tablet">
      <div class="field has-addons ml-auto mb-0-tablet mr-3">
        <div class="control">
          <input class="input" type="text" placeholder="Type to search..." onkeyup="filter(this)" />
        </div>
        <div class="control">
          <button class="button is-outlined" type="button">
            <svg
              width="18"
              height="18"
              viewBox="0 0 20 20"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M18.0921 16.9083L15.0004 13.8417C16.2005 12.3453 16.7817 10.4461 16.6244 8.53441C16.4672 6.62274 15.5835 4.84398 14.155 3.56386C12.7265 2.28375 10.8619 1.59958 8.94451 1.65205C7.02711 1.70452 5.20268 2.48963 3.84636 3.84594C2.49004 5.20226 1.70493 7.02669 1.65247 8.94409C1.6 10.8615 2.28416 12.7261 3.56428 14.1546C4.84439 15.583 6.62316 16.4668 8.53482 16.624C10.4465 16.7812 12.3457 16.2001 13.8421 15L16.9087 18.0667C16.9862 18.1448 17.0784 18.2068 17.1799 18.2491C17.2815 18.2914 17.3904 18.3132 17.5004 18.3132C17.6104 18.3132 17.7193 18.2914 17.8209 18.2491C17.9224 18.2068 18.0146 18.1448 18.0921 18.0667C18.2423 17.9113 18.3262 17.7036 18.3262 17.4875C18.3262 17.2714 18.2423 17.0637 18.0921 16.9083ZM9.16708 15C8.01335 15 6.88554 14.6579 5.92625 14.0169C4.96696 13.3759 4.21929 12.4649 3.77778 11.399C3.33627 10.3331 3.22075 9.16019 3.44583 8.02863C3.67091 6.89708 4.22648 5.85767 5.04229 5.04187C5.85809 4.22606 6.89749 3.67049 8.02905 3.44541C9.1606 3.22033 10.3335 3.33585 11.3994 3.77736C12.4653 4.21887 13.3763 4.96654 14.0173 5.92583C14.6583 6.88512 15.0004 8.01293 15.0004 9.16666C15.0004 10.7138 14.3858 12.1975 13.2919 13.2914C12.1979 14.3854 10.7142 15 9.16708 15Z"
                fill="#382CDD"
              ></path>
            </svg>
          </button>
        </div>
      </div>
      <a
        class="button is-primary is-inline-flex is-align-items-center"
        href="/app/challenge/new"
      >
        <span class="icon">
          <ion-icon name="add-circle-outline" size="large"></ion-icon>
        </span>
        <span>
          Create Challenge
        </span>
      </a>
    </div>
  </div>
</section>

<section class="section">
  <div class="container is-fluid">
    <div class="columns is-multiline">
      <div class="column is-8-desktop">
        <div class="tabs">
          <ul>
            <li class="is-active">
              <a class="is-size-6" href="#active">
                Active Challenges
              </a>
            </li>
            <li >
              <a class="is-size-6" href="#mine">
                My Challenges
              </a>
            </li>
            <li>
              <a class="is-size-6" href="#previous">
                Previous Challenges
              </a>
            </li>
          </ul>
        </div>

        <div class="tabContent" id="active">
          {{#if activeChallenges}}
            {{#each activeChallenges}}
              {{> challengecard challenge=this}}
            {{/each}}
          {{else}}
            {{> empty description="No active challenges.  Check back soon, or create your own!"}}
          {{/if}}
        </div>
        <div class="tabContent" id="mine">
          {{#if myChallenges}}
            {{#each myChallenges}}
              {{> challengecard challenge=this}}
            {{/each}}
          {{else}}
            {{> empty description="You're not in any challenges yet.  Click active challenges to find one to join!"}}
          {{/if}}
        </div>
        
        <div class="tabContent" id="previous">
          {{#if previousChallenges}}
            {{#each previousChallenges}}
              {{> challengecard challenge=this}}
            {{/each}}
          {{else}}
            {{> empty description="No previous challenges found."}}
          {{/if}}
        </div>
      </div>
      <div class="column is-4-desktop">
        <div class="box has-text-centered">
          <img
            class="mx-auto mb-5 image"
            src="/img/undraw_video_call_re_4p26.svg"
            alt="alt"
            style="width: 96px; height: 96px;"
          />
          <h3 class="title is-size-4">
            Invite your Friends
          </h3>
          <p class="subtitle is-size-6 mb-5">
            Invite your friends to participate in <br/>
            Code Challenges
          </p>
          <a 
            class="button is-link" 
            target="_blank"
            href="http://twitter.com/share?text=Come%20join%20me%20and%20complete%20fun%20Code%20Challenges%20and%20learn%20more%20about%20%40gitlab%21&url=https%3A%2F%2Fcodechallenge.dev&hashtags=gitlab,codechallengedotdev" 
            style="background-color: #1DA1F2;"
          >
            <span class="icon mr-2">
              <ion-icon name="logo-twitter"></ion-icon>
            </span>
            Twitter
          </a>
          <a 
            class="button is-link" 
            target="_blank"
            href="https://www.linkedin.com/sharing/share-offsite/?url=https://codechallenge.dev" 
            style="background-color: #0077B5;"
          >
            <span class="icon mr-2">
              <ion-icon name="logo-linkedin"></ion-icon>
            </span>
            LinkedIn
          </a>
          <button class="button is-primary is-hidden">
            <span class="icon mr-2">
              <ion-icon name="copy-outline"></ion-icon>
            </span>
            Copy Invite
          </button>
          <textarea id="textArea" class="is-hidden">Come join me and complete fun Code Challenges and learn more about GitLab! https://codechallenge.dev.</textarea>
        </div>
      </div>
    </div>
  </div>
</section>

{{#section "script"}}

<script>
  $(function() {
      const urlParams = new URLSearchParams(location.search);
      const badAuth = urlParams.get("auth");
      const authMsg = $('#authWarning')
      
      if (badAuth) authMsg.removeClass("is-hidden");

      $('#btnCloseAuthWarning').click(() => {
        authMsg.addClass("is-hidden");
      });

      $('.markdown').each(function() {
        let curr = $(this).html().trim()
        marked.setOptions({
          gfm: true,
          breaks: true,
          xhtml: true
        });
        $(this).html(marked.parse(curr));
      })

      $('.tabContent').hide();
      $('.tabContent:first').show();
      $('.tabs ul li a').click(function () {
        const thisTab = $(this)
        var t = thisTab.attr('href');
        $('.tabs ul li').removeClass('is-active');
        thisTab.parent('li').addClass('is-active')
        $('.tabContent').hide();
        $(t).fadeIn();
        return false;
      });
  });

  function filter(elm) {
    const value = $(elm).val().toLowerCase();
    $(".tabContent > div").each(function() {
      if ($(this).find("#txtChallengeName").text().toLowerCase().search(value) > -1) {
        $(this).show();
      } else {
        $(this).hide();
      }
    })
  }
</script>

{{/section}}